PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_PageMargins

Source Location: /PHPExcel/Worksheet/PageMargins.php

### Class Overview

PHPExcel_Worksheet_PageMargins

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getBottom
- getFooter
- getHeader
- getLeft
- getRight
- getTop
- setBottom
- setFooter
- setHeader
- setLeft
- setRight
- setTop
- __clone

### Class Details

[line 36]
PHPExcel_Worksheet_PageMargins

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 83]

`PHPExcel_Worksheet_PageMargins __construct( )`

Create a new PHPExcel_Worksheet_PageMargins

#### Tags:

access: | public

[ Top ]

### method getBottom [line 152]

`double getBottom( )`

Get Bottom

#### Tags:

access: | public

[ Top ]

### method getFooter [line 192]

`double getFooter( )`

Get Footer

#### Tags:

access: | public

[ Top ]

### method getHeader [line 172]

`double getHeader( )`

Get Header

#### Tags:

access: | public

[ Top ]

### method getLeft [line 92]

`double getLeft( )`

Get Left

#### Tags:

access: | public

[ Top ]

### method getRight [line 112]

`double getRight( )`

Get Right

#### Tags:

access: | public

[ Top ]

### method getTop [line 132]

`double getTop( )`

Get Top

#### Tags:

access: | public

[ Top ]

### method setBottom [line 162]

`PHPExcel_Worksheet_PageMargins setBottom( double $pValue)`

Set Bottom

#### Tags:

access: | public

#### Parameters:

double | $pValue |

[ Top ]

### method setFooter [line 202]

`PHPExcel_Worksheet_PageMargins setFooter( double $pValue)`

Set Footer

#### Tags:

access: | public

#### Parameters:

double | $pValue |

[ Top ]

### method setHeader [line 182]

`PHPExcel_Worksheet_PageMargins setHeader( double $pValue)`

Set Header

#### Tags:

access: | public

#### Parameters:

double | $pValue |

[ Top ]

### method setLeft [line 102]

`PHPExcel_Worksheet_PageMargins setLeft( double $pValue)`

Set Left

#### Tags:

access: | public

#### Parameters:

double | $pValue |

[ Top ]

### method setRight [line 122]

`PHPExcel_Worksheet_PageMargins setRight( double $pValue)`

Set Right

#### Tags:

access: | public

#### Parameters:

double | $pValue |

[ Top ]

### method setTop [line 142]

`PHPExcel_Worksheet_PageMargins setTop( double $pValue)`

Set Top

#### Tags:

access: | public

#### Parameters:

double | $pValue |

[ Top ]

### method __clone [line 210]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:47 +0200 by phpDocumentor 1.4.4